version: '3'
services: 
  edp-api-proxy:
    build: 
      context: ./
      dockerfile: ./Dockerfile
    image: docker.52north.org/edp/edp-api-proxy:latest
    ports: 
      - 9090:9090
    environment: 
      - EDP_DATA_API_URL=https://www.europeandataportal.eu/data
      - WHITELIST_UPDATE_INTERVAL_MINUTES=1
      - WHITELIST_STORAGE_DIR=/etc/ckan-whitelist.json
      - LOGGING_LEVEL=debug
    volumes:
      - /etc/ckan-whitelist.json:/etc/ckan-whitelist.json
